## ros-indigo-grizzly-description 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grizzly_description)

find_package(catkin)

catkin_package()

install(
  DIRECTORY meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-grizzly-description (0.3.2-0trusty) trusty; urgency=high



 -- Yan Ma <yanma@clearpathrobotics.com>  Fri, 06 Nov 2015 05:00:00 -0000

ros-indigo-grizzly-description (0.3.1-0trusty) trusty; urgency=high

  * Find includes in URDF relative to package locations.
  * Remove unneeded joint_state_publisher dependency.
  * fix imu topic in simulator
  * In navigation pkg, rename config and launch files to localization
  * set imu frame ID as imu_link
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Yan Ma <yanma@clearpathrobotics.com>  Fri, 09 Jan 2015 05:00:00 -0000

ros-indigo-grizzly-description (0.3.0-0trusty) trusty; urgency=high

  * Fix IMU origin.
  * Update physical and collision properties
  * update position of wheel's joints
  * add hector gps contoller
  * add hector imu controller
  * change joint names. use rear instead of back
  * Aesthetic fixes to grizzly URDF.
  * Remove vestigial vcg file.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr, dash

 -- Yan Ma <yanma@clearpathrobotics.com>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-grizzly-description (0.2.0-0trusty) trusty; urgency=high



 -- Yan Ma <yanma@clearpathrobotics.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-indigo-grizzly-description (0.1.4-0trusty) trusty; urgency=high



 -- Yan Ma <yanma@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

ros-indigo-grizzly-description (0.1.3-0trusty) trusty; urgency=high



 -- Yan Ma <yanma@clearpathrobotics.com>  Tue, 25 Feb 2014 05:00:00 -0000

ros-indigo-grizzly-description (0.1.2-0trusty) trusty; urgency=high

  * Remove commented reference to husky_wheel stl, as this was confusing Gazebo.

 -- Yan Ma <yanma@clearpathrobotics.com>  Wed, 04 Dec 2013 05:00:00 -0000

ros-indigo-grizzly-description (0.1.1-0trusty) trusty; urgency=high

  * Remove attempt to install non-existant launch folder.

 -- Yan Ma <yanma@clearpathrobotics.com>  Sat, 30 Nov 2013 05:00:00 -0000

ros-indigo-grizzly-description (0.1.0-0trusty) trusty; urgency=high

  * Initial cut of a grizzly_description suitable for visualization and simulation.

 -- Yan Ma <yanma@clearpathrobotics.com>  Thu, 28 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-grizzly-description
Section: misc
Priority: extra
Maintainer: Yan Ma <yanma@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-grizzly-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-urdf, ros-indigo-xacro
Description: grizzly_description package to hold urdf and related model files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-grizzly-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
